Bug 151887 - menu system: <MergeDir>s are not monitored for changes
menu system: <MergeDir>s are not monitored for changes
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-vfs2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2005-03-23 03:54 EST by Mark McLoughlin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-09 18:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix the bug (13.19 KB, patch)
2005-03-23 03:54 EST, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2005-03-23 03:54:21 EST
The recommended method for ISVs to install menus is to put a .menu in
$XDG_CONFIG_DIRS/menus/applications-merged which will cause the contents to be
merged into the applications menu.

Unfortunately, we don't monitor these directories to changes so if a package
installs a file in one of these directories the panel does not notice the new
file immediately and the ISV menus do not appear in the menu until the user logs
out and back in again.
Comment 1 Mark McLoughlin 2005-03-23 03:54:21 EST
Created attachment 112245 [details]
patch to fix the bug
Comment 4 Mark McLoughlin 2005-03-23 06:05:49 EST
Fix is in gnome-vfs-2.8.2-8.3, errata is RHBA-2005:338
Comment 15 RHEL Product and Program Management 2006-10-09 18:10:56 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 16 RHEL Product and Program Management 2006-10-09 18:18:23 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.